state IDLE
{
	legs
	{
		idle_base : default
	}

	behavior Land

	states
	{
		DEATH			: DEAD
		PAIN			: PAIN
		START_APPROACH	: HAVE_ENEMY
		IDLE_HEAD		: STATE_TIME "12" CHANCE "0.2"
	}
}

state FOLLOWSPLINE
{
	legs
	{
		fly : default
	}

	behavior FollowSpline

	states
	{
		DEATH			: DEAD
		PAIN			: PAIN
		START_APPROACH	: HAVE_ENEMY
	}
}

state IDLE_HEAD
{
	legs
	{
		idle_head_detach : default
	}

	behavior idle

	states
	{
		DEATH			: DEAD
		PAIN			: PAIN
		START_APPROACH	: HAVE_ENEMY
		IDLE			: ANIM_DONE
	}
}

state START_APPROACH
{
	legs
	{
		idle_to_fly : default
	}

	behavior idle

	states
	{
		DEATH		: DEAD
		PAIN		: PAIN
		APPROACH	: ANIM_DONE
	}
}

state APPROACH
{
	legs
	{
		fly : default
	}

	behavior FlyCloseToEnemy "fly"

	states
	{
		DEATH			: DEAD
		PAIN			: PAIN
		START_ATTACK	: CAN_SEE_ENEMY RANGE "300" !RANGE "150" CHANCE "0.5"
		IDLE			: ANIM_DONE !HAVE_ENEMY
	      APPROACH_RESET	: DONE
	}
}

state APPROACH_RESET
{
	legs
	{
	}

	behavior FlyCloseToEnemy "fly"

	states
	{
		DEATH		: DEAD
      	APPROACH	: default    
	}
}

state PAIN
{
	legs
	{
		pain : default
	}

	behavior idle

	states
	{
		DEATH			: DEAD
		START_APPROACH	: ANIM_DONE HAVE_ENEMY
		IDLE			: ANIM_DONE
	}
}

state START_ATTACK
{
	legs
	{
		fly : default
	}

	behavior FlyCloseToEnemy "fly"

	states
	{
		DEATH		: DEAD
		ATTACK	: RANGE "200"
		FOLLOWSPLINE : RANGE "75"
	}
}

state ATTACK
{
	legs
	{
		attack_scream : default
	}
	
	behavior Watch

	states
	{
		DEATH		: DEAD
		END_ATTACK	: ANIM_DONE
	}
}

state END_ATTACK
{
	legs
	{
		fly	: default
	}
	
	behavior FlyWander "fly" "200" "10" "10" "1"

	states
	{
		DEATH		: DEAD
		PAIN		: PAIN
		ATTACK	: ANIM_DONE RANGE "100" CAN_SEE_ENEMY
		APPROACH	: ANIM_DONE
	}
}

state DEATH
{
	legs
	{
		death_part01	: default
	}

	entrycommands
	{
		fly 0
	}

	states
	{
		DEATH2	: ANIM_DONE
	}
}

state DEATH2
{
	legs
	{
		death_part02 : default
	}

	entrycommands
	{
		fly 0
	}

	states
	{
		DEATH2	: ANIM_DONE
	}
}
