state IDLE
{
	legs
	{
		idle : default
	}

	behavior idle

	states
	{
		PAIN			: PAIN
		ALERT			: NOISE_HEARD
		APPROACH		: HAVE_ENEMY
		APPROACH		: RANGE "90"
		IDLE_TWITCH		: STATE_TIME "5" ANIM_DONE CHANCE "0.23"
	}
}

state IDLE_TWITCH
{
	legs
	{
		twitch : default
	}

	behavior idle

	states
	{
		IDLE : ANIM_DONE
	}
}

state ALERT
{
	legs
	{
		alert : default
	}

	behavior idle

	states
	{
		APPROACH	: HAVE_ENEMY
		IDLE		: ANIM_DONE
	}
}

state APPROACH
{
	legs
	{
		walk_1 : default
	}

	behavior GetCloseToEnemy "walk_1"

	states
	{
		PAIN			: PAIN
		NEW_ENEMY		: ENEMY_DEAD
		APPROACH_FAST	: !RANGE "400" ANIM_DONE CHANCE "0.5"
		ATTACK_RANGE	: CAN_SEE_ENEMY !RANGE "100"
		ATTACK		: CAN_SEE_ENEMY RANGE "100"
		IDLE			: !HAVE_ENEMY
		APPROACH_RESET	: DONE
	}
}

state APPROACH_RESET
{
	legs
	{
	}

	behavior GetCloseToEnemy "walk_1"

	states
	{
      	APPROACH : default    
	}
}

state NEW_ENEMY
{
	legs
	{
		idle : default
	}

	behavior idle

	entrycommands
	{
		getnearestenemy
	}

	states
	{
		IDLE		: ANIM_DONE !HAVE_ENEMY
		APPROACH	: ANIM_DONE
	}
}

state APPROACH_FAST
{
	legs
	{
		walk_2 : default
	}

	behavior GetCloseToEnemy "walk_2"

	states
	{
		PAIN				: PAIN
		NEW_ENEMY			: ENEMY_DEAD
		APPROACH			: RANGE "400" ANIM_DONE
		ATTACK			: CAN_SEE_ENEMY RANGE "100"
		IDLE				: !HAVE_ENEMY
		APPROACH_FAST_RESET	: DONE
	}
}

state APPROACH_FAST_RESET
{
	legs
	{
	}

	behavior GetCloseToEnemy "walk_1"

	states
	{
      	APPROACH_FAST : default    
	}
}

state PAIN
{
	legs
	{
		pain : PAIN_YAW "-40"
		pain_back : PAIN_YAW "40" CHANCE "0.6"
		pain : default
	}

	behavior idle

	states
	{
		NEW_ENEMY	: ENEMY_DEAD
		APPROACH	: ANIM_DONE CAN_SEE_ENEMY
		IDLE		: ANIM_DONE
	}
}

state ATTACK
{
	legs
	{
		attack_1 : default
	}
	
	behavior Watch

	states
	{
		NEW_ENEMY	: ENEMY_DEAD
		APPROACH	: ANIM_DONE
	}
}

state ATTACK_RANGE
{
	legs
	{
		attack_range : default
	}
	
	behavior Watch

	states
	{
		NEW_ENEMY	: ENEMY_DEAD
		APPROACH	: ANIM_DONE
	}
}



state DEATH
{
	legs
	{
		death_frozen : MOD "icewand"
		death : PAIN_YAW "-40"
		death_back : PAIN_YAW "40" CHANCE "0.6"
		death : default
	}
}
