state IDLE
{
	legs
	{
		idle : default
	}

	behavior idle

	states
	{
		PAIN			: PAIN
		ALERT			: NOISE_HEARD
		APPROACH		: HAVE_ENEMY
		APPROACH		: RANGE "90"
		IDLE_TWITCH		: STATE_TIME "3" ANIM_DONE CHANCE "0.33"
	}
}

state IDLE_TWITCH
{
	legs
	{
		twitch : default
	}

	behavior idle

	states
	{
		IDLE : ANIM_DONE
	}
}

state ALERT
{
	legs
	{
		alert1 : default
	}

	behavior idle

	states
	{
		APPROACH	: HAVE_ENEMY
		IDLE		: ANIM_DONE
	}
}

state APPROACH
{
	legs
	{
		walk : default
	}

	behavior GetCloseToEnemy "walk"

	states
	{
		PAIN			: PAIN
		NEW_ENEMY		: ENEMY_DEAD
		ATTACK		: CAN_SEE_ENEMY RANGE "80"
		IDLE			: !HAVE_ENEMY
		APPROACH_RESET	: DONE
	}
}

state NEW_ENEMY
{
	legs
	{
		idle : default
	}

	behavior idle

	entrycommands
	{
		getnearestenemy
	}

	states
	{
		IDLE		: ANIM_DONE !HAVE_ENEMY
		APPROACH	: ANIM_DONE
	}
}

state APPROACH_RESET
{
	legs
	{
	}

	behavior GetCloseToEnemy "walk"

	states
	{
      	APPROACH : default    
	}
}

state PAIN
{
	legs
	{
		pain : default
	}

	behavior idle

	states
	{
		APPROACH	: ANIM_DONE CAN_SEE_ENEMY
		IDLE		: ANIM_DONE
	}
}

state ATTACK
{
	legs
	{
		attack_1 : default
	}
	
	behavior Watch

	states
	{
		END_ATTACK : ANIM_DONE
	}
}

state END_ATTACK
{
	legs
	{
	}
	
	behavior GetCloseToEnemy "walk"

	states
	{
		PAIN		: PAIN
		NEW_ENEMY	: ENEMY_DEAD
		ATTACK	: RANGE "80" CAN_SEE_ENEMY
		APPROACH	: !RANGE "80"
	}
}

state DEATH
{
	legs
	{
		death_frozen : MOD "icewand"
		death : PAIN_YAW "-45"
		death_back : PAIN_YAW "45" CHANCE "0.666"
		death : default
	}
}
