state IDLE
{
	legs
	{
		idle : default
	}

	behavior idle

	states
	{
		PAIN			: PAIN
		ALERT			: NOISE_HEARD
		APPROACH		: HAVE_ENEMY
		IDLE_TWITCH		: STATE_TIME "3" ANIM_DONE CHANCE "0.33"
	}
}

state IDLE_TWITCH
{
	legs
	{
		twitch : default
	}

	behavior idle

	states
	{
		IDLE : ANIM_DONE
	}
}

state ALERT
{
	legs
	{
		alert : default
	}

	behavior idle

	states
	{
		SCOUT		: ANIM_DONE NOISE_HEARD
		APPROACH	: HAVE_ENEMY
		IDLE		: ANIM_DONE
	}
}

state SCOUT
{
	legs
	{
	}

	behavior Investigate "walk_1" "8"

	states
	{
		APPROACH	: HAVE_ENEMY
		IDLE		: DONE
	}
}

state APPROACH
{
	legs
	{
		walk_1 : default
	}

	behavior GetCloseToEnemy "walk_1"

	states
	{
		PAIN			: PAIN
		NEW_ENEMY		: ENEMY_DEAD
		APPROACH_FAST	: !RANGE "500" ANIM_DONE
		ATTACK		: STATE_TIME "1" CAN_SEE_ENEMY RANGE "750" CHANCE "0.8"
		ATTACK		: RANGE "100" CAN_SEE_ENEMY
		IDLE			: !HAVE_ENEMY
		APPROACH_RESET	: DONE
	}
}

state APPROACH_RESET
{
	legs
	{
	}

	behavior GetCloseToEnemy "walk_1"

	states
	{
      	APPROACH : default    
	}
}

state NEW_ENEMY
{
	legs
	{
		idle : default
	}

	behavior idle

	entrycommands
	{
		getnearestenemy
	}

	states
	{
		IDLE		: ANIM_DONE !HAVE_ENEMY
		APPROACH	: ANIM_DONE
	}
}

state APPROACH_FAST
{
	legs
	{
		walk_2 : default
	}

	behavior GetCloseToEnemy "walk_2"

	states
	{
		PAIN			: PAIN
		NEW_ENEMY		: ENEMY_DEAD
		APPROACH		: RANGE "500" ANIM_DONE
		ATTACK		: STATE_TIME "1" ANIM_DONE CAN_SEE_ENEMY RANGE "650" CHANCE "0.6"
		ATTACK		: STATE_TIME "1" RANGE "100"
		IDLE			: !HAVE_ENEMY
		APPROACH_FAST_RESET : DONE
	}
}

state APPROACH_FAST_RESET
{
	legs
	{
	}

	behavior GetCloseToEnemy "walk_1"

	states
	{
      	APPROACH_FAST : default    
	}
}

state PAIN
{
	legs
	{
		pain : PAIN_YAW "-45"
		pain_back : PAIN_YAW "45" CHANCE "0.666"
		pain : default
	}

	behavior idle

	states
	{
		APPROACH	: ANIM_DONE CAN_SEE_ENEMY
		NEW_ENEMY	: ENEMY_DEAD
		IDLE		: ANIM_DONE
	}
}

state ATTACK
{
	legs
	{
	}
	
	behavior Watch

	states
	{
		PUNCH		: RANGE "100"
		CHARGE_1	: CHANCE "0.33"
		CHARGE_2	: CHANCE "0.66"
		APPROACH	: default
	}
}

state PUNCH
{
	legs
	{
		attack_3 : default
	}

	behavior Watch

	states
	{
		NEW_ENEMY	: ENEMY_DEAD
		APPROACH	: ANIM_DONE
	}
}

state CHARGE_1
{
	legs
	{
	}

	behavior GetCloseToEnemy "attack_1_A"

	states
	{
		CHARGE_1_END	: TOUCHED
		CHARGE_1_END	: PLAYER_TOUCHED
		APPROACH		: MOVE_BLOCKED
		APPROACH		: MOVE_BLOCKED_FALL
		APPROACH		: !CAN_SEE_ENEMY
		NEW_ENEMY		: ENEMY_DEAD
		APPROACH		: DONE
	}
}

state CHARGE_1_END
{
	legs
	{
		attack_1_B : default
	}

	behavior Watch

	states
	{
		NEW_ENEMY	: ENEMY_DEAD
		APPROACH	: ANIM_DONE
	}
}

state CHARGE_2
{
	legs
	{
	}

	behavior GetCloseToEnemy "attack_2_A"

	states
	{
		CHARGE_2_END	: TOUCHED
		CHARGE_2_END	: PLAYER_TOUCHED
		APPROACH		: MOVE_BLOCKED
		APPROACH		: MOVE_BLOCKED_FALL
		APPROACH		: !CAN_SEE_ENEMY
		NEW_ENEMY		: ENEMY_DEAD
		APPROACH		: DONE
	}
}

state CHARGE_2_END
{
	legs
	{
		attack_2_B : default
	}

	behavior Watch

	states
	{
		NEW_ENEMY	: ENEMY_DEAD
		APPROACH	: ANIM_DONE
	}
}

state DEATH
{
	legs
	{
		death_frozen : MOD "icewand"
		death : PAIN_YAW "-45"
		death_back : PAIN_YAW "45" CHANCE "0.666"
		death : default
	}
}
