state IDLE
{
   legs
   {
      i_calm_l : default
   }

   behavior idle

   states
   {
	IDLE_TO_READY : HAVE_ENEMY CAN_SEE_ENEMY RANGE "400"
	IDLE_TWITCH	: ANIM_DONE STATE_TIME "5" CHANCE "0.2"
	IDLE_TO_RIGHT	: ANIM_DONE STATE_TIME "5" CHANCE "0.4"
   }
}

state IDLE_TWITCH
{
	legs
	{
		i_calm_eartwitch_l : default
	}

	behavior idle

	states
	{
		IDLE_TWITCH	: ANIM_DONE CHANCE "0.4"
		IDLE : ANIM_DONE
	}
}

state IDLE_TO_RIGHT
{
	legs
	{
		i_calm_front_2_right : default
	}

	states
	{
		IDLE_RIGHT : ANIM_DONE
	}
}

state IDLE_RIGHT
{
	legs
	{
		i_calm_right_l : default
	}

	states
	{
		IDLE_RIGHT_TO_FRONT : ANIM_DONE STATE_TIME "2" CHANCE "0.1"
		IDLE_RIGHT_TO_FRONT : HAVE_ENEMY CAN_SEE_ENEMY RANGE "420"
	}
}

state IDLE_RIGHT_TO_FRONT
{
	legs
	{
		i_calm_right_2_front : default
	}

	states
	{
		IDLE : ANIM_DONE
	}
}

state IDLE_TO_READY
{
	legs
	{
		i_calm_2_ready : default
	}

	states
	{
		READY : ANIM_DONE
	}
}

state READY
{
	legs
	{
		i_ready_l : default
	}

	states
	{
		READY_TO_CALM : !RANGE "400"
		READY_TO_CALM : !CAN_SEE_ENEMY
		WALK : !RANGE "150" RANGE "300"
		JUMP : STATE_TIME "4" CHANCE "0.1"
	}
}

state JUMP
{
	legs
	{
		jump_standing : default
	}

	states
	{
		READY : ANIM_DONE
	}
}

state READY_TO_CALM
{
	legs
	{
		i_ready_2_calm : default
	}

	states
	{
		IDLE : ANIM_DONE
	}
}

state WALK
{
   legs
   {
      walk : default
   }

   behavior GetCloseToEnemy "walk"

   states
   {
	READY : RANGE "150"
	READY : !RANGE "400"
   }
}

state RUN
{
   legs
   {
      run : default
   }

   behavior GetCloseToEnemy "run"

   states
   {
      WALK : ANIM_DONE RANGE "250"
   }
}
