state IDLE
{
	legs
	{
		idle : default
	}

	behavior idle

	states
	{
		PAIN			: PAIN
		APPROACH		: HAVE_ENEMY
		ALERT			: NOISE_HEARD
		TWITCH		: ANIM_DONE STATE_TIME "12" CHANCE "0.2"
	}
}

state TWITCH
{
	legs
	{
		idle_s : default
	}

	behavior idle

	states
	{
		PAIN			: PAIN
		APPROACH		: HAVE_ENEMY
		IDLE			: ANIM_DONE
	}
}

state ALERT
{
	legs
	{
		alert : default
	}

	entrycommands
	{
		fov 330
	}

	behavior Watch

	exitcommands
	{
		fov 150
	}

	states
	{
		PAIN		: PAIN
		APPROACH	: HAVE_ENEMY
		SCOUT		: ANIM_DONE NOISE_HEARD
		IDLE		: ANIM_DONE
	}
}

state SCOUT
{
	behavior Investigate "walk" "8"

	states
	{
		APPROACH	: HAVE_ENEMY
		IDLE		: DONE
	}
}

state APPROACH
{
	legs
	{
		walk : default
	}

	behavior GetCloseToEnemy "walk"

	states
	{
		PAIN			: PAIN
		IDLE			: !HAVE_ENEMY
		//RUN_AWAY		: STATE_TIME "0.5" HEALTH "30" CAN_SEE_ENEMY
		RUN_AWAY		: NO_PATH
		ATTACK_READY	: RANGE "100" CAN_SEE_ENEMY
		CHARGE		: !RANGE "150" CAN_SEE_ENEMY
		APPROACH_RESET	: DONE
	}
}

state APPROACH_RESET
{
	behavior GetCloseToEnemy "walk"

	states
	{
      	APPROACH : default    
	}
}

state COWER
{
	legs
	{
		idle : default
	}

	behavior Watch

	states
	{
		RUN_AWAY	: CAN_SEE_ENEMY
	}
}

state RUN_AWAY
{
	behavior Flee "run"

	states
	{
		APPROACH	: !HEALTH "30" CAN_JUMP_TO_ENEMY
		ATTACK_READY	: RANGE "100" CAN_SEE_ENEMY
		COWER		: DONE !CAN_SEE_ENEMY
		IDLE		: DONE !HAVE_ENEMY
	}
}

state CHARGE
{
	legs
	{
		run	: default
	}

	behavior GetCloseToEnemy "run"

	states
	{
		PAIN			: PAIN
		IDLE			: !HAVE_ENEMY
		//RUN_AWAY		: STATE_TIME "0.5" HEALTH "30" CAN_SEE_ENEMY
		RUN_AWAY		: NO_PATH
		END_CHARGE		: ANIM_DONE RANGE "180"
		ATTACK		: RANGE "100" CAN_SEE_ENEMY
		CHARGE_RESET	: DONE
	}
}

state CHARGE_RESET
{
	behavior GetCloseToEnemy "run"

	states
	{
      	CHARGE : default    
	}
}

state END_CHARGE
{
	legs
	{
		run_2walk	: default
	}

	states
	{
		APPROACH	: ANIM_DONE
	}
}

state PAIN
{
	legs
	{
		pain : default
	}

	behavior Watch "1"

	states
	{
		APPROACH	: ANIM_DONE HAVE_ENEMY
		IDLE		: ANIM_DONE
	}
}

state ATTACK_READY
{
	legs
	{
		walk_2attack : default
	}

	behavior Watch

	states
	{
		PAIN	: PAIN
		ATTACK	: ANIM_DONE
	}
}

state ATTACK
{
	legs
	{
		attack : default
	}
	
	behavior Watch

	states
	{
		END_ATTACK : ANIM_DONE
	}
}

state END_ATTACK
{
	behavior GetCloseToEnemy "walk"

	states
	{
		PAIN		: PAIN
		ATTACK	: RANGE "100" CAN_SEE_ENEMY
		APPROACH	: default
	}
}

state DEATH
{
	legs
	{
		death_frozen : MOD "icewand"
		death_3 : MOD "knife"
		death_1 : default
	}

	states
	{
		GIB	: !MOD "knife" !MOD "icewand" !MOD "frozen" CHANCE "0.1"
	}
}

state GIB
{
	legs
	{
		death_1 : default
	}

	entrycommands
	{
		surface all +nodraw
		removeattachedmodel tag_weapon
		spawnnamedgib w_clubstaff.tik tag_weapon 90 0
		noshadow
		spawnbloodygibs 5 1
	}
}
