state IDLE
{
	legs
	{
		idle : default
	}

	behavior idle

	states
	{
		PAIN			: PAIN
		ALERT			: NOISE_HEARD
		START_APPROACH	: HAVE_ENEMY
		IDLE_TWITCH		: STATE_TIME "5" ANIM_DONE CHANCE "0.23"
	}
}

state IDLE_TWITCH
{
	legs
	{
		twitch : default
	}

	behavior idle

	states
	{
		IDLE : ANIM_DONE
	}
}

state ALERT
{
	legs
	{
		alert : default
	}

	behavior idle

	states
	{
		APPROACH	: HAVE_ENEMY
		IDLE		: ANIM_DONE
	}
}

state START_APPROACH
{
	legs
	{
		stand_2_ready : default
	}

	behavior idle

	states
	{
		APPROACH : ANIM_DONE
	}
}

state APPROACH
{
	legs
	{
		walk_1 : default
	}

	behavior GetCloseToEnemy "walk_1"

	states
	{
		PAIN			: PAIN
		NEW_ENEMY		: ENEMY_DEAD
		BLOCK_START		: INCOMING_PROJECTILE_START
		BLOCK_START		: INCOMING_MELEE_ATTACK_START
		APPROACH_FAST	: !RANGE "400" ANIM_DONE
		ATTACK		: STATE_TIME "0.5" CAN_SEE_ENEMY RANGE "100"
		IDLE			: !HAVE_ENEMY
		APPROACH_RESET	: DONE
	}
}

state NEW_ENEMY
{
	legs
	{
		idle : default
	}

	behavior idle

	entrycommands
	{
		getnearestenemy
	}

	states
	{
		IDLE		: ANIM_DONE !HAVE_ENEMY
		APPROACH	: ANIM_DONE
	}
}

state APPROACH_RESET
{
	legs
	{
	}

	behavior GetCloseToEnemy "walk_1"

	states
	{
      	APPROACH : default    
	}
}

state APPROACH_FAST
{
	legs
	{
		walk_2 : default
	}

	behavior GetCloseToEnemy "walk_2"

	states
	{
		PAIN				: PAIN
		NEW_ENEMY			: ENEMY_DEAD
		BLOCK_START			: ANIM_DONE INCOMING_PROJECTILE_START
		APPROACH			: RANGE "400" ANIM_DONE
		ATTACK			: CAN_SEE_ENEMY RANGE "100"
		IDLE				: !HAVE_ENEMY
		APPROACH_FAST_RESET	: DONE
	}
}

state APPROACH_FAST_RESET
{
	legs
	{
	}

	behavior GetCloseToEnemy "walk_2"

	states
	{
      	APPROACH_FAST : default    
	}
}

state BLOCK_START
{
	legs
	{
		block_1 : default
	}

	entrycommands
	{
		blockstart
	}

	behavior idle

	time "2" "4"

	states
	{
		BLOCK_END : BLOCKED_HIT
		BLOCK_END : !INCOMING_PROJECTILE !INCOMING_MELEE_ATTACK
		BLOCK_END : TIME_DONE
	}
}

state BLOCK_END
{
	legs
	{
		block_2 : default
	}

	entrycommands
	{
		blockend
	}

	behavior idle

	states
	{
		APPROACH : ANIM_DONE
	}
}

state PAIN
{
	legs
	{
		pain_left : PAIN_YAW "-40"
		pain_front : PAIN_YAW "40" CHANCE "0.6"
		pain_right : default
	}

	behavior idle

	states
	{
		APPROACH	: ANIM_DONE CAN_SEE_ENEMY
		NEW_ENEMY	: ENEMY_DEAD
		IDLE		: ANIM_DONE
	}
}

state ATTACK
{
	legs
	{
		attack_1 : default
	}
	
	behavior Watch

	states
	{
		NEW_ENEMY	: ENEMY_DEAD
		APPROACH	: ANIM_DONE
	}
}

state DEATH
{
	legs
	{
		death_frozen : MOD "icewand"
		//death : PAIN_YAW "-40"
		//death_back : PAIN_YAW "40" CHANCE "0.6"
		death : default
	}
}
