state IDLE
{
	legs
	{
		idle : default
	}

	behavior idle

	states
	{
		ATTACK : CAN_SEE_ENEMY RANGE "120"
		APPROACH : HAVE_ENEMY
		PAIN : PAIN
	}
}

state APPROACH
{
	legs
	{
		swim_norm : default
	}

	behavior FlyCloseToEnemy "swim_norm" "15" "240" "-40"

	states
	{
		PAIN		: PAIN
		TONGUE	: !ENEMY_IN_WATER STATE_TIME "1" CHANCE "0.33" CAN_SEE_ENEMY RANGE "250"
		SPIT_JUMP	: !ENEMY_IN_WATER STATE_TIME "1" CHANCE "0.33" CAN_SEE_ENEMY RANGE "550"
		ATTACK	: RANGE "120" CHANCE "0.7"
		EXPLORE	: HAVE_ENEMY !CAN_SEE_ENEMY
		IDLE		: !HAVE_ENEMY
	}
}

state EXPLORE
{
	legs
	{
		swim_norm : default
	}

	behavior FlyWander "swim_norm" "240" "15" "3" "1"
	time "4" "5"

	states
	{
		APPROACH	: CAN_SEE_ENEMY
		IDLE		: TIME_DONE
	}
}

state ATTACK
{
	legs
	{
		bite : default
	}

	behavior Watch

	states
	{
		APPROACH : ANIM_DONE 
		PAIN 	   : PAIN
	}
}

state SPIT_JUMP
{
	legs
	{
	}

	behavior TongueGrab "spit"

	states
	{
		APPROACH : BEHAVIOR_DONE
	}
}

state TONGUE
{
	legs
	{
	}

	behavior TongueGrab

	states
	{
		APPROACH : BEHAVIOR_DONE
	}
}
state PAIN
{
	legs
	{
		pain : default
	}

	behavior idle

	states
	{
		APPROACH : ANIM_DONE
	}
}

state DEATH
{
	legs
	{
		death_frozen : MOD "icewand"
		death : default
	}

	behavior idle

	states
	{
	}
}